Showing results for 
Search instead for 
Did you mean: 

SolidEdgeCommunity.AddIn create multiple edgebar




I have been trying to create 2 edge bar using the SolidEdgeCommunity.AddIn.

I always get the last added edgebar to be displayed.


Here is the code snipet:


public override void OnCreateEdgeBarPage(SolidEdgeCommunity.AddIn.EdgeBarController controller, SolidEdgeFramework.SolidEdgeDocument document)
// Note: Confirmed with Solid Edge development, OnCreateEdgeBarPage does not get called when Solid Edge is first open and the first document is open.
// i.e. Under the hood, SolidEdgeFramework.ISEAddInEdgeBarEvents[Ex].AddPage() is not getting called.
// As an alternative, you can call MyAddIn.Instance.EdgeBarController.Add() in some other event if you need.

// Get the document type of the passed in document.
var documentType = document.Type;

// Image ID is defined in AssemblyInfo.cs.
var imageId = 1;

// Depending on the document type, you may have different edgebar controls.
switch (documentType)
case SolidEdgeFramework.DocumentTypeConstants.igAssemblyDocument:
case SolidEdgeFramework.DocumentTypeConstants.igDraftDocument:
case SolidEdgeFramework.DocumentTypeConstants.igPartDocument:
case SolidEdgeFramework.DocumentTypeConstants.igSheetMetalDocument:
controller.Add<SearchBarControl>(document, 2);
controller.Add<PropBarControl>(document, imageId);



Could it be that this feature is not availliable. 


Thanks ,



Re: SolidEdgeCommunity.AddIn create multiple edgebar

Esteemed Contributor
Esteemed Contributor

Post you API questions here:


The forum you posted in is for general Solid Edge questions unrelated to API use.


Production: ST10 MP5
Testing: SE 2019